# immich

> One line description of the recipe

<!-- metadata -->

* **Category**: Apps
* **Status**: 0
* **Image**: [`immich`](https://hub.docker.com/r/immich), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start

* `abra app new immich --secrets`
* `abra app config <app-name>`
* `abra app deploy <app-name>`

For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech).


## Volume

You can manually create a volume that has more storage for the library. For example samba: https://docs.docker.com/engine/storage/volumes/#create-cifssamba-volumes

```
 docker volume create \
	--driver local \
	--opt type=cifs \
	--opt device=//uxxxxx.your-server.de/backup \
	--opt o=addr=uxxxxx.your-server.de,username=uxxxxxxx,password=*****,file_mode=0777,dir_mode=0777 \
	--name immich_example_com_uploads
``` 
